      subroutine funcd(clmpj, fgi, fcg, dfcg)
c
c  The function called from rtsafe.f, 
c  Newton-Raphson method. Numerical Recipes, 9.4
c
*     Ci+lnGi/(1-Gi)=0......f(x)=0,  Gi...x  *)
      implicit double precision (a-h, o-z)
c
      xln  = log(fgi)
      vahe = 1.d0 - fgi
      if (abs(vahe) .lt. 0.0001d0) then
        return
      else
        fcg  = clmpj + xln/vahe
        dfcg = (1.d0/fgi - 1.d0 - xln)/vahe/vahe
      endif
      return
      end
*
************************************************************************
*
