      subroutine hsc12
     & (calph, rllvu, rllvd, rlls, ulgs, ulgv, shlj, bgpu, bgpd)
c
c           Hot-spot correction inside the crown. A. Kuusk 5.03.2024
c
      include 'par.h'
      data eps/.1d-3/
c
      rintegr(xxx) = (1.d0 - exp(-xxx))/xxx
c
      rl12u = (rllvu - rlls)**2 + (1.d0 - calph)*2.d0*rlls*rllvu
      if (rl12u .lt. 0.d0) then
         crr0 = 0.d0
      else
         crr0 = sqrt(rl12u)/shlj
      endif
      if (crr0 .lt. eps) then
         xtmp = 1.d0 - crr0*.5d0
      else
         xtmp = rintegr(crr0)
      endif
      chs1 = sqrt(rllvu*rlls)*xtmp
      xx  = (chs1 - rlls - rllvu)*sqrt(ulgs*ulgv)
      bgpu = exp(xx)
c
      rl12d = (rllvd - rlls)**2 + (1.d0 + calph)*2.d0*rlls*rllvd
      if (rl12d .lt. 0.d0) then
         crr0 = 0.d0
      else
         crr0 = sqrt(rl12d)/shlj
      endif
      if (crr0 .lt. eps) then
         xtmp = 1.d0 - crr0*.5d0
      else
         xtmp = rintegr(crr0)
      endif
      chs3 = sqrt(rllvd*rlls)*xtmp
      xx  = (chs3 - rlls - rllvd)*sqrt(ulgs*ulgv)
      bgpd = exp(xx)
c                bgp? - bidirectional gap probability inside the crown
      return
      end
*
************************************************************************
*

