      subroutine regre
     & (lmass, lbai, lhtr, lrcrwn, lhc1,
     & xx, rlai, htr, hc1, rcr)
c     Regressions for tree parameters            A. Kuusk 8.12.2000
c
c  Input:
c    lmass, lbai, lhtr, lrcrwn, lhc1, xx
c  Output:
c    rlai, htr, hc1, rcr
c
      include 'par.h'
      parameter (nvar = 70)
c
      logical lmass, lbai, lhtr, lrcrwn, lhc1
c
      dimension htr(nclmax), hc1(nclmax),
     & rcr(nclmax), rlai(nclmax), xx(nvar)
c
c
      if (lmass) then
c                                      ! Q.ilex at Montpellier:
*        rlai(1)  = exp(log(xx(5))*1.756d0 + 3.401d0)*xx(1)/160.d0
c                                      ! Spruce in the North Sweden:
*        rlai(1)  = exp(xx(5)/(xx(5)+12.0d0)*7.8171d0 - 1.9602d0)*
*    &             xx(1)*6.9d0
c                                      ! Birch in the North Sweden:
*        rlai(1)  = exp(xx(5)/(xx(5)+10.0d0)*10.281d0 - 3.363d0)*
*    &    xx(1)*14.2d0/(((xx(5)*xx(5)*xx(2))**0.195d0)*.5d0 + 1.d0)
c
c                                      ! Pine at Norunda
*        rlai(1)  = xx(1)*1.039d0*
*    &   exp(2.327d0*log(10.d0*xx(6)) - 1.806d0*log(xx(2)) - 3.22d0)
c
c                                      ! Spruce at Norunda
*        rlai(1)  = xx(1)*(xx(5)/.0371d0/log(xx(5)) - 100.485d0)
      endif
c
      if (lhtr) then
c                                      ! Pine at Norunda & Siggefora
*        htr(1) = xx(5)*.64d0 + 3.328d0
c
c                                      ! Spruce at Norunda & Siggefora
*        htr(1) = xx(5)*.647d0 + 4.442d0
c                                      ! Birch in Estonia
*        htr(1) = .471d0 + xx(5)*1.594d0 - xx(5)*xx(5)*.0244d0
c                                      ! Birch, Umea
*        htr(1) = xx(5)*.306d0 + 11.367
      endif
c
c
      if (lrcrwn) then
c                                      ! q.ilex at Montpellier
*        rcr(1)    = xx(5)*.075d0 + .262d0
c                                      ! Spruce at the North Sweden:
*        rcr(1)    = xx(5)*.048d0 + .665d0
c                                      ! Birch at the North Sweden:
*        rcr(1)    = xx(5)*.070d0 + .61d0
c                                      ! Pine at Norunda & Siggefora
*        rcr(1)    = xx(5)*.078d0 + .5095d0
c                                      ! Spruce at Norunda & Siggefora
*        rcr(1)    = xx(5)*.0655d0 + .894d0
c                                      ! Birch in Estonia
*        rcr(1)    = xx(5)*.096d0 + .467d0
      endif
c
c
      if (lhc1) then
c                                      ! Pine, Norunda & Siggefora
*        hc1(1) = xx(5)*.24d0 +2.01d0
c                                      ! Spruce, Norunda & Siggefora
*        hc1(1) = xx(5)*.526d0 +2.08d0
      endif
c
      return
      end
*
************************************************************************
*
